com.comtrade.ecm.engine.io

## Class EcmFolder

- java.lang.Object
- - com.comtrade.ecm.engine.io.EcmFolder

-     public class EcmFolder
      extends java.lang.Object

  Folder (special "case of a File").
  Collection of `File`-objects (usually on a disk).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EcmFolder(java.lang.String path)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `create()`
    `java.util.stream.Stream<java.nio.file.Path>` | `getFiles(java.util.function.BiPredicate<java.nio.file.Path,java.nio.file.attribute.BasicFileAttributes> matcher)`
    `java.util.List<java.lang.String>` | `getFilesByExtension(java.lang.String fileExtension)`
    `java.lang.String` | `getPath()`
    `java.util.List<java.lang.String>` | `getSubfolders()`
    `static java.util.List<java.lang.String>` | `getSubfolders(java.lang.String path)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EcmFolder

          public EcmFolder(java.lang.String path)

  - ### Method Detail

    - #### getPath

          public java.lang.String getPath()

    - #### getSubfolders

          public static java.util.List<java.lang.String> getSubfolders(java.lang.String path)

    - #### getSubfolders

          public java.util.List<java.lang.String> getSubfolders()

    - #### create

          public boolean create()

    - #### getFilesByExtension

          public java.util.List<java.lang.String> getFilesByExtension(java.lang.String fileExtension)
                                                               throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getFiles

          public java.util.stream.Stream<java.nio.file.Path> getFiles(java.util.function.BiPredicate<java.nio.file.Path,java.nio.file.attribute.BasicFileAttributes> matcher)
                                                               throws java.io.IOException

      Throws:
        `java.io.IOException`